Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfFontReliefType

    java.lang.Object
      java.lang.Enum<OdfFontReliefType>
          org.odftoolkit.odfdom.dom.type.style.OdfFontReliefType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontReliefType>

    public enum OdfFontReliefType

extends Enum<OdfFontReliefType>

DOM implementation of OpenDocument attribute style:font-relief.

Enum Constant Summary
`EMBOSSED`
`ENGRAVED`
`NONE`

Method Summary
`static OdfFontReliefType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontReliefType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontReliefType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontReliefType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfFontReliefType NONE

### ENGRAVED

    public static final OdfFontReliefType ENGRAVED

### EMBOSSED

    public static final OdfFontReliefType EMBOSSED

Method Detail

### values

    public static OdfFontReliefType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontReliefType c : OdfFontReliefType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontReliefType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontReliefType>`
  Returns:
    return the name of OdfFontReliefType

### toString

    public static String toString(OdfFontReliefType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontReliefType, see style:font-relief
  Returns:
    return the name of OdfFontReliefType

### enumValueOf

    public static OdfFontReliefType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontReliefType
  Returns:
    return the constant of OdfFontReliefType, see style:font-relief

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.